504
新人さん
オフライン
投稿: 7
I'm a llama!
|
|
CreateArcについて
« 投稿日: 2012/09/21 - 09:24:38 » |
|
初めまして。お世話になります。 SolidWorksを触り始めて1週間程度の初心者です。
SolidWorks 2012 x64 editionのAPIで円弧を描きたいと思っています。 以下のコード(C#)を走らせると一瞬だけ描画されるのですが、すぐに消えてしまいます。thetaを0.05位にすると上手くいくのですが。。 短い弧を描くために何か手はあるのでしょうか? もう一点、引数の単位がmのようですが、これをmmに変える事はできるのでしょうか?
以上よろしくお願いいたします。
double radius = 0.2; double theta = 0.02; double XC = -radius; double X2 = radius * (Math.Cos(theta) - 1); double Y2 = radius * Math.Sin(theta);
ModelDoc2 swDoc = ((ModelDoc2)(swApp.NewDocument("C:\ProgramData\SolidWorks\SolidWorks 2012\templates\部品.prtdot", 0, 0, 0))); swDoc.Extension.SelectByID2("正面", "PLANE", 0, 0, 0, false, 0, null, 0); swDoc.SketchManager.InsertSketch(true); swDoc.ViewZoomTo2(-0.01, -0.01, -0.01, 0.01, 0.01, 0.01); SketchSegment skSegment = ((SketchSegment)swDoc.SketchManager.CreateArc(XC, 0, 0, 0, 0, 0, X2, Y2, 0, 1)); swDoc.SketchManager.InsertSketch(true); swDoc.ViewZoomtofit2();
|